import request from '@/utils/request'

// 裂解炉测温列表Summary（APP）
export function getTemperatureSummary() {
  return request({
    url: '/production/temperature/summary',
    method: 'get'
  })
}

// 获取裂解炉炉管测温详细信息
export function getInfoByDate(data) {
  return request({
    url: '/production/temperature/info',
    method: 'post',
    data: data
  })
}

// 查询裂解炉炉管测温MAX
export function listMax(query) {
  return request({
    url: '/production/temperature/max',
    method: 'get',
    params: query
  })
}

// 查询裂解炉炉管测温COIL
export function listCoil(query) {
  return request({
    url: '/production/temperature/coil',
    method: 'get',
    params: query
  })
}

// 查询裂解炉炉管测温列表
export function listTemperature(query) {
  return request({
    url: '/production/temperature/list',
    method: 'get',
    params: query
  })
}

// 查询裂解炉炉管测温详细
export function getTemperature(id) {
  return request({
    url: '/production/temperature/' + id,
    method: 'get'
  })
}

// 新增裂解炉炉管测温
export function addTemperature(data) {
  return request({
    url: '/production/temperature',
    method: 'post',
    data: data
  })
}

// 修改裂解炉炉管测温
export function updateTemperature(data) {
  return request({
    url: '/production/temperature/editWeb',
    method: 'put',
    data: data
  })
}

// 删除裂解炉炉管测温
export function delTemperature(id) {
  return request({
    url: '/production/temperature/' + id,
    method: 'delete'
  })
}

// 导出裂解炉炉管测温
export function exportTemperature(query) {
  return request({
    url: '/production/temperature/export',
    method: 'get',
    params: query
  })
}
